AUDIT_FLAG_TO_NAME(3)

NAME
audit_flag_to_name - Convert the numeric rule-matching filter value to the rule-matching filter name

SYNOPSIS
#include <libaudit.h>

const char *audit_flag_to_name(int flag);

DESCRIPTION
audit_flag_to_name() converts the numeric rule-matching filter value (AUDIT_FILTER_TASK, AUDIT_FILTER_EXIT, AUDIT_FILTER_USER, AUDIT_FILTER_EXCLUDE, AUDIT_FILTER_FS) to the rule-matching filter name ("task", "exit", "user", "exclude", "filesystem"). flag is the numeric rule-matching filter value.

RETURN VALUE
Returns NULL if an error occurs; otherwise, the return value is the rule-matching filter name.

SEE ALSO
audit_name_to_flag(3),

AUTHOR
Steve Grubb